[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: -Wl,--as-needed considered possibly harmful

Le dimanche 09 décembre 2007 à 09:03 +0100, Simon Richter a écrit :
> Hi,
> due to the recent dpkg-shlibdeps changes, people have started adding
> -Wl,--as-needed into their LDFLAGS.

Of course it is. This is the most reliable way of dropping unneeded
dependencies. All other ways will keep some of them.

If there are bugs in --as-needed, we need to fix them. It is much easier
than fixing thousands of packages. Or are you willing to drop
dh_fixperms and fix thousands of broken packages by hand as well?

> If there are broken scripts adding too many libraries then it is time to
> fix those scripts, not employ an evil hack that makes the symptoms go away.

Some of these scripts cannot be “fixed”. And for others, well, good luck
in getting libtool’s upstream to integrate the required changes. Maybe
they will be here in 5 years, and in 15 years all upstreams will have
migrated to a recent enough version.

: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.

Attachment: signature.asc
Description: Ceci est une partie de message =?ISO-8859-1?Q?num=E9riquement?= =?ISO-8859-1?Q?_sign=E9e?=

Reply to: